## org.Biocorba.Seqcore
Interface _SeqFeature_Operations

All Known Implementing Classes:
  SeqFeatureImpl

public interface _SeqFeature_Operations
extends _Unknown_Operations

Method Summary
`int` `end(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`PrimarySeq` `get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`boolean` `PrimarySeq_is_available(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`NameValueSet[]` `qualifiers(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`java.lang.String` `seq_primary_id(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`java.lang.String` `source(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`int` `start(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`short` `strand(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`java.lang.String` `type(org.omg.CORBA.portable.ObjectImpl seqFeature)`

Methods inherited from interface GNOME._Unknown_Operations
`query_interface, ref, unref`

Method Detail

### type

    public java.lang.String type(org.omg.CORBA.portable.ObjectImpl seqFeature)

### source

    public java.lang.String source(org.omg.CORBA.portable.ObjectImpl seqFeature)

### seq_primary_id

    public java.lang.String seq_primary_id(org.omg.CORBA.portable.ObjectImpl seqFeature)

### start

    public int start(org.omg.CORBA.portable.ObjectImpl seqFeature)

### end

    public int end(org.omg.CORBA.portable.ObjectImpl seqFeature)

### strand

    public short strand(org.omg.CORBA.portable.ObjectImpl seqFeature)

### qualifiers

    public NameValueSet[] qualifiers(org.omg.CORBA.portable.ObjectImpl seqFeature)

### PrimarySeq_is_available

    public boolean PrimarySeq_is_available(org.omg.CORBA.portable.ObjectImpl seqFeature)

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seqFeature)
                              throws UnableToProcess